# List Serverless private links

**GET /v1/serverless/private-links**

List Redpanda Serverless private links. The `filter.` query string parameters find matching private links that meet all specified conditions.


## Servers
- Control Plane API: https://api.redpanda.com (Control Plane API)


## Authentication methods
- Auth0


## Parameters


### Query parameters
- **filter.state_in** (array[string])
  States of Serverless private link.

   - STATE_CREATING: Private link is being created.
   - STATE_READY: Private link is ready to use.
   - STATE_DELETING: Private link is being deleted.
   - STATE_FAILED: Private link is in an error state.
   - STATE_UPDATING: Private link is in an updating state.
- **filter.resource_group_id** (string)
  Resource group ID of Serverless private link.
- **filter.name_contains** (string)
  Name of private link. Partial match.
- **filter.serverless_region** (string)
  Display name of the region in which Serverless private link is hosted
- **page_size** (integer(int32))
  Limit the paginated response to a number of items.
- **page_token** (string)
  Value of the next_page_token field returned by the previous response. If
  not provided, the system assumes the first page is requested.


## Responses
### 200
OK

#### Body: application/json (object)
- **next_page_token** (string)
  Token to retrieve the next page of results, or empty if there are no more
  results.
- **serverless_private_links** (array[object])
  The list of serverless private links.

### 500
Internal Server Error. Please reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
